> For the complete documentation index, see [llms.txt](https://docs.frends.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.frends.com/reference/triggers.md).

# Triggers

- [Manual Trigger](https://docs.frends.com/reference/triggers/manual-trigger.md): Enables manual execution for Processes.
- [File Trigger](https://docs.frends.com/reference/triggers/file-trigger.md): Monitor file changes with your Processes.
- [Schedule Trigger](https://docs.frends.com/reference/triggers/schedule-trigger.md): Running Processes repeatedly has never been easier.
- [Conditional Trigger](https://docs.frends.com/reference/triggers/conditional-trigger.md): Look here for more complex criteria to start a Process.
- [HTTP Trigger](https://docs.frends.com/reference/triggers/http-trigger.md): Simple handling of HTTP requests in Frends.
- [API Trigger](https://docs.frends.com/reference/triggers/api-trigger.md): Connect your Processes to fullblown APIs.
- [AMQP Trigger](https://docs.frends.com/reference/triggers/amqp-trigger.md): Running Processes in order using Message Queues.
- [Service Bus Trigger](https://docs.frends.com/reference/triggers/service-bus-trigger.md): Listening for Azure Service Bus messages.
- [RabbitMQ Trigger](https://docs.frends.com/reference/triggers/rabbitmq-trigger.md): Alternative to Service Bus and AMQP queues.
- [Azure Event Hub Trigger](https://docs.frends.com/reference/triggers/azure-event-hub-trigger.md): Listen to messages from Azure Event Hub.
- [TCP Trigger](https://docs.frends.com/reference/triggers/tcp-trigger.md): Listen for raw TCP connections coming to Frends.
- [MCP Trigger](https://docs.frends.com/reference/triggers/mcp-trigger.md): Turn Processes into MCP Tools for Agentic AI.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frends.com/reference/triggers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
